# Helm Chart for IPavo

该 Chart 主要用于快速部署 IPavo

## 项目构成：
```text
├── charts
    ├── ui       # 用于部署 IPavo UI
```
# 部署流程

## 添加&更新 IPavo repo
```bash
helm repo add ipavo-release https://release.daocloud.io/chartrepo/ipavo
helm repo update
```

## 部署 IPavo

> version 获取地址：https://release.daocloud.io/harbor/projects/27/helm-charts/ipavo/versions \
因 harbor 未按照创建时间排序，请手动挑选最新版本。

```bash
helm install \
    --create-namespace \
    --version ${version} \
    --cleanup-on-fail ipavo ipavo-release/ipavo \
    -n <ipavo-system>
```

## 使用外部 Mysql
- 默认将会安装内置 Mysql，如需使用外部 Mysql，需要关闭内置 Mysql 安装并设置外部 Mysql 相关参数
```bash
helm install \
    --create-namespace \
    --version ${version} \
    --cleanup-on-fail ipavo ipavo-release/ipavo \
    --set global.storage.builtIn=false \
    --set global.storage.database[0].dsn=<username>:<password>@tcp(<host>:<port>)/<db_name> \
    -n <ipavo-system>
```

## 升级 IPavo 控制器
```bash
helm upgrade \
    --version ${version} \
    --cleanup-on-fail ipavo ipavo-release/ipavo \
    -n <ipavo-system>
```

## 卸载 IPavo 控制器

```bash
helm uninstall ipavo -n <ipavo-system>
```
